package nuts.gae.taskqueue;

import nuts.core.taskqueue.TaskQueue;
import nuts.core.taskqueue.TaskQueueFactory;

import com.google.appengine.api.taskqueue.QueueFactory;

public class GaeTaskQueueFactory extends TaskQueueFactory {
	public TaskQueue getDefaultQueue() {
		return new GaeTaskQueue(QueueFactory.getDefaultQueue());
	}
	
	public TaskQueue getQueue(String name) {
		return new GaeTaskQueue(QueueFactory.getQueue(name));
	}
}
